Name:      perl-CPAN-Meta-YAML  
Version:   0.018
Release:   420
Summary:   Read and write a subset of YAML for CPAN Meta files
License:   GPL+ or Artistic
URL:       https://metacpan.org/release/CPAN-Meta-YAML
Source0:   https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-YAML-%{version}.tar.gz
BuildArch: noarch

BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.17 perl(Test::More) >= 0.96
BuildRequires:  coreutils findutils perl(JSON::PP) perl(File::Temp) >= 0.19
Requires:  perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Carp) perl(Fcntl) 

%description
This module implements a subset of the YAML specification for use in reading and writing CPAN metadata files 
like META.yml and MYMETA.yml. It should not be used for any other general YAML parsing or generation task.
NOTE: META.yml (and MYMETA.yml) files should be UTF-8 encoded. Users are responsible for proper encoding and decoding. 
In particular, the read and write methods do not support UTF-8 and should not be used.

%package_help

%prep
%autosetup -n CPAN-Meta-YAML-%{version} -p1 

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1 UNINST=0
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%{_mandir}/*/*

%changelog
* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.018-420
- Change mod of file

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.018-419
- Package init
